SUBROUTINE condsurfs(jour, edgar, flag_dms, &
        lmt_so2h, lmt_so2b, lmt_so2bb, lmt_so2ba, &
        lmt_so2volc, lmt_altvolc, &
        lmt_dmsbio, lmt_h2sbio, lmt_dms, lmt_dmsconc)
   USE dimphy
  IMPLICIT none
  !
  ! Lire les conditions aux limites du modele pour la chimie.
  ! --------------------------------------------------------
  !
  INCLUDE "dimensions.h"
  INCLUDE "netcdf.inc"
  !
  REAL :: lmt_so2h(klon), lmt_so2b(klon), lmt_so2bb(klon)
  REAL :: lmt_dmsbio(klon), lmt_h2sbio(klon), lmt_so2ba(klon)
  REAL :: lmt_so2volc(klon), lmt_altvolc(klon)
  REAL :: lmt_dms(klon), lmt_dmsconc(klon)
  LOGICAL :: edgar
  INTEGER :: flag_dms
  !
  INTEGER :: jour, i
  INTEGER :: ierr
  INTEGER :: nid,nvarid
  INTEGER :: debut(2),epais(2)
  !
  IF (jour.LT.0 .OR. jour.GT.(360-1)) THEN
     IF ((jour.GT.(360-1)) .AND. (jour.LE.367)) THEN
       jour=360-1
       print *,'JE: jour changed to jour= ',jour
     ELSE
       PRINT*,'Le jour demande n est pas correcte:', jour
       CALL ABORT
     ENDIF
  ENDIF
  !
  ierr = NF_OPEN ("limitsoufre.nc", NF_NOWRITE, nid)
  if (ierr.ne.NF_NOERR) then
    write(6,*)' Pb d''ouverture du fichier limitsoufre.nc'
    write(6,*)' ierr = ', ierr
    call exit(1)
  endif
  !
  ! Tranche a lire:
  debut(1) = 1
  debut(2) = jour+1
  epais(1) = klon
  epais(2) = 1
  !
  ierr = NF_INQ_VARID (nid, "VOLC", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2volc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2volc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources so2 volcan'
     CALL exit(1)
  ENDIF
  !
  ierr = NF_INQ_VARID (nid, "ALTI", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_altvolc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_altvolc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les altitudes volcan'
     CALL exit(1)
  ENDIF
  !
  IF (edgar) THEN   !--EDGAR w/o ship and biomass burning
  !
  ierr = NF_INQ_VARID (nid, "SO2ED95L", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2b)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2b)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources so2 edgar low'
     CALL exit(1)
  ENDIF
  !
  ierr = NF_INQ_VARID (nid, "SO2ED95H", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2h)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2h)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources so2 edgar high'
     CALL exit(1)
  ENDIF
  !
  ELSE  !--GEIA
  !
  ierr = NF_INQ_VARID (nid, "SO2H", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2h)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2h)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources so2 haut'
     CALL exit(1)
  ENDIF
  !
  ierr = NF_INQ_VARID (nid, "SO2B", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2b)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2b)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources so2 bas'
     CALL exit(1)
  ENDIF
  !
  ENDIF  !--edgar
  !
  ierr = NF_INQ_VARID (nid, "SO2BB", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2bb)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2bb)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources so2 bb'
     CALL exit(1)
  ENDIF
  !
  ierr = NF_INQ_VARID (nid, "SO2BA", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2ba)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2ba)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources so2 bateau'
     CALL exit(1)
  ENDIF
  !
  ierr = NF_INQ_VARID (nid, "DMSB", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dmsbio)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsbio)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms bio'
     CALL exit(1)
  ENDIF
  !
  ierr = NF_INQ_VARID (nid, "H2SB", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_h2sbio)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_h2sbio)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources h2s bio'
     CALL exit(1)
  ENDIF
  !
  IF (flag_dms.EQ.1) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSL", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dms)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dms)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms liss'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.2) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSW", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dms)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dms)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms wann'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.3) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSC1", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dmsconc old'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.4) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSC2", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms conc 2'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.5) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSC3", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms conc 3'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.6) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSC4", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms conc 4'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.7) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSC5", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms conc 5'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.8) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSC6", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms conc 6'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.9) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSC7", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms conc 7'
     CALL exit(1)
  ENDIF
  !
  ELSEIF (flag_dms.EQ.10) THEN
  !
  ierr = NF_INQ_VARID (nid, "DMSC8", nvarid)
  !nhl #ifdef NC_DOUBLE
  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
  !nhl #else
  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
  !nhl #endif
  IF (ierr .NE. NF_NOERR) THEN
     PRINT*, 'Pb de lecture pour les sources dms conc 8'
     CALL exit(1)
  ENDIF
  !
  ELSE
  !
     PRINT *,'choix non possible pour flag_dms'
     STOP
  !
  ENDIF
  !
  ierr = NF_CLOSE(nid)
  !
  IF (flag_dms.LE.2) THEN
  DO i=1, klon
     lmt_dmsconc(i)=0.0
  ENDDO
  ELSE
  DO i=1, klon
     lmt_dms(i)=0.0
  ENDDO
  ENDIF
  !
  PRINT*, 'Sources SOUFRE lues pour jour: ', jour
  !
  RETURN
END SUBROUTINE condsurfs
